<?php



class TbltestresultMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbltestresultMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbltestresultPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbltestresultPeer::TABLE_NAME);
		$tMap->setPhpName('Tbltestresult');
		$tMap->setClassname('Tbltestresult');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('RS_EXAM', 'RsExam', 'INTEGER', true, null);

		$tMap->addPrimaryKey('RS_USER', 'RsUser', 'INTEGER', true, null);

		$tMap->addColumn('RS_USERNAME', 'RsUsername', 'VARCHAR', false, 255);

		$tMap->addColumn('RS_DATA', 'RsData', 'VARCHAR', false, 1024);

		$tMap->addColumn('RS_MARK', 'RsMark', 'INTEGER', false, null);

		$tMap->addColumn('RS_TIME', 'RsTime', 'INTEGER', false, null);

		$tMap->addColumn('RS_FINISH', 'RsFinish', 'TIMESTAMP', false, null);

	} 
} 